<?php
//carga de las clases
include('Vehiculo.class.php');
include('cuatro_ruedas.class.php');
include('Dos_ruedas.class.php');
include('Coche.class.php');
include('Camion.class.php');

//inicialización de la clase Vehiculo
$coche = new Coche("verde",1400);
$coche->añadir_persona(130);
echo "El color del coche es: ".$coche->getColor()."<br />";
echo "El nuevo peso del coche es: ".$coche->getPeso()."<br />";

//repintar en rojo
$coche->repintar("rojo");
//añadir de 2 cadenas de nieve
$coche->añadir_cadena_nieve(2);
echo "El color del coche es: ".$coche->getColor()."<br />";
echo "El nombre de cadena de nieve del coche es: ".$coche->getNumeroCadenaNieve()."<br /><br />";

//inicialización del dos-ruedas
$dos_ruedas = new Dos_ruedas("negro",120);
$dos_ruedas->añadir_persona(80);
$dos_ruedas->poner_gasolina(20);
echo "El color del dos-ruedas es: ".$dos_ruedas->getColor()."<br />";
echo "El peso del dos-ruedas es: ".$dos_ruedas->getPeso()."<br /><br />";

//inicialización del camion
$camion = new Camion("azul",10000);
$camion->setLongitud(10);
$camion->setNumeroPuerta(2);
$camion->añadir_remolque(5);
$camion->añadir_persona(80);
echo "El color del camion es: ".$camion->getColor()."<br />";
echo "El peso del camion es: ".$camion->getPeso()."<br />";
echo "La longitud del camion es: ".$camion->getLongitud()."<br />";
echo "El número de puertas del camion es: ".$camion->getNumeroPuerta()."<br />";

?>
